summaryrefslogtreecommitdiff
path: root/tests.build/only-build-systems.script
diff options
context:
space:
mode:
Diffstat (limited to 'tests.build/only-build-systems.script')
-rwxr-xr-xtests.build/only-build-systems.script29
1 files changed, 29 insertions, 0 deletions
diff --git a/tests.build/only-build-systems.script b/tests.build/only-build-systems.script
new file mode 100755
index 00000000..699be942
--- /dev/null
+++ b/tests.build/only-build-systems.script
@@ -0,0 +1,29 @@
+#!/bin/sh
+#
+# Copyright (C) 2013 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+
+## Morph should refuse build a chunk out of the context. Only
+## system and stratum morphologies can be built.
+
+set -eu
+
+! "$SRCDIR/scripts/test-morph" build-morphology \
+ test:morphs-repo master hello-stratum
+
+! "$SRCDIR/scripts/test-morph" build-morphology \
+ test:chunk-repo farrokh hello
+